package routes_test

import (
	"gitea.deepak.science/deepak/gogmagog/models"
	"gitea.deepak.science/deepak/gogmagog/store"
)

func getEmptyModel() *models.Model {
	str, _ := store.GetInMemoryStore()
	m := models.New(str)
	return m
}

func getErrorModel(message string) *models.Model {
	str := store.GetErrorStore(message, true)
	return models.New(str)
}

func getErrorOnGetModel(errorMsg string) *models.Model {
	str := store.GetErrorStore(errorMsg, false)
	return models.New(str)
}
